Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Merge branch 'master' of git@github.com:openhood/rspec_sequel_matchers

  • Loading branch information...
commit e935d6fb90bc8c520bedd64c205e87273afaea24 2 parents 2a27bd3 + 719fe16
Joseph HALTER authored
8 Rakefile
@@ -6,11 +6,11 @@ begin
6 6 Jeweler::Tasks.new do |gem|
7 7 gem.name = "rspec_sequel_matchers"
8 8 gem.summary = %Q{TODO}
9   - gem.email = "jonathan@tron.name"
10   - gem.homepage = "http://github.com/JonathanTron/rspec_sequel_matchers"
  9 + gem.email = "team@openhood.com"
  10 + gem.homepage = "http://github.com/openhood/rspec_sequel_matchers"
11 11 gem.authors = ["Jonathan Tron", "Joseph Halter"]
12   - gem.add_dependency "rspec"
13   - gem.add_dependency "sequel"
  12 + gem.add_dependency "rspec", "~> 1.2.3"
  13 + gem.add_dependency "sequel", ">= 3.1.0"
14 14
15 15 # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
16 16 end
1  VERSION
... ... @@ -1 +0,0 @@
1   -0.1.0
4 VERSION.yml
... ... @@ -0,0 +1,4 @@
  1 +---
  2 +:major: 0
  3 +:minor: 1
  4 +:patch: 1
150 rspec_sequel_matchers.gemspec
@@ -2,104 +2,100 @@
2 2
3 3 Gem::Specification.new do |s|
4 4 s.name = %q{rspec_sequel_matchers}
5   - s.version = "0.1.0"
  5 + s.version = "0.1.1"
6 6
7 7 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
8 8 s.authors = ["Jonathan Tron", "Joseph Halter"]
9   - s.date = %q{2009-08-13}
10   - s.email = %q{jonathan@tron.name}
  9 + s.date = %q{2009-08-22}
  10 + s.email = %q{team@openhood.com}
11 11 s.extra_rdoc_files = [
12 12 "LICENSE",
13   - "README.rdoc"
  13 + "README.rdoc"
14 14 ]
15 15 s.files = [
16   - ".document",
17   - ".gitignore",
18   - "LICENSE",
19   - "README.rdoc",
20   - "Rakefile",
21   - "VERSION",
22   - "lib/rspec_sequel/association.rb",
23   - "lib/rspec_sequel/base.rb",
24   - "lib/rspec_sequel/matchers/have_column.rb",
25   - "lib/rspec_sequel/matchers/have_many_to_many.rb",
26   - "lib/rspec_sequel/matchers/have_many_to_one.rb",
27   - "lib/rspec_sequel/matchers/have_one_to_many.rb",
28   - "lib/rspec_sequel/matchers/validate_exact_length.rb",
29   - "lib/rspec_sequel/matchers/validate_format.rb",
30   - "lib/rspec_sequel/matchers/validate_includes.rb",
31   - "lib/rspec_sequel/matchers/validate_integer.rb",
32   - "lib/rspec_sequel/matchers/validate_length_range.rb",
33   - "lib/rspec_sequel/matchers/validate_max_length.rb",
34   - "lib/rspec_sequel/matchers/validate_min_length.rb",
35   - "lib/rspec_sequel/matchers/validate_not_string.rb",
36   - "lib/rspec_sequel/matchers/validate_numeric.rb",
37   - "lib/rspec_sequel/matchers/validate_presence.rb",
38   - "lib/rspec_sequel/matchers/validate_unique.rb",
39   - "lib/rspec_sequel/validation.rb",
40   - "lib/rspec_sequel_matchers.rb",
41   - "rspec_sequel_matchers.gemspec",
42   - "spec/have_column_matcher_spec.rb",
43   - "spec/have_many_to_many_matcher_spec.rb",
44   - "spec/have_many_to_one_matcher_spec.rb",
45   - "spec/have_one_to_many_matcher_spec.rb",
46   - "spec/migrations/001_create_items.rb",
47   - "spec/migrations/002_create_comments.rb",
48   - "spec/migrations/003_create_comments_items.rb",
49   - "spec/spec_helper.rb",
50   - "spec/validate_exact_length_matcher_spec.rb",
51   - "spec/validate_format_matcher_spec.rb",
52   - "spec/validate_includes_matcher_spec.rb",
53   - "spec/validate_integer_matcher_spec.rb",
54   - "spec/validate_length_range_matcher_spec.rb",
55   - "spec/validate_max_length_matcher_spec.rb",
56   - "spec/validate_min_length_matcher_spec.rb",
57   - "spec/validate_not_string_matcher_spec.rb",
58   - "spec/validate_numeric_matcher_spec.rb",
59   - "spec/validate_presence_matcher_spec.rb",
60   - "spec/validate_unique_matcher_spec.rb"
  16 + "LICENSE",
  17 + "README.rdoc",
  18 + "Rakefile",
  19 + "VERSION.yml",
  20 + "lib/rspec_sequel/association.rb",
  21 + "lib/rspec_sequel/base.rb",
  22 + "lib/rspec_sequel/matchers/have_column.rb",
  23 + "lib/rspec_sequel/matchers/have_many_to_many.rb",
  24 + "lib/rspec_sequel/matchers/have_many_to_one.rb",
  25 + "lib/rspec_sequel/matchers/have_one_to_many.rb",
  26 + "lib/rspec_sequel/matchers/validate_exact_length.rb",
  27 + "lib/rspec_sequel/matchers/validate_format.rb",
  28 + "lib/rspec_sequel/matchers/validate_includes.rb",
  29 + "lib/rspec_sequel/matchers/validate_integer.rb",
  30 + "lib/rspec_sequel/matchers/validate_length_range.rb",
  31 + "lib/rspec_sequel/matchers/validate_max_length.rb",
  32 + "lib/rspec_sequel/matchers/validate_min_length.rb",
  33 + "lib/rspec_sequel/matchers/validate_not_string.rb",
  34 + "lib/rspec_sequel/matchers/validate_numeric.rb",
  35 + "lib/rspec_sequel/matchers/validate_presence.rb",
  36 + "lib/rspec_sequel/matchers/validate_unique.rb",
  37 + "lib/rspec_sequel/validation.rb",
  38 + "lib/rspec_sequel_matchers.rb",
  39 + "spec/have_column_matcher_spec.rb",
  40 + "spec/have_many_to_many_matcher_spec.rb",
  41 + "spec/have_many_to_one_matcher_spec.rb",
  42 + "spec/have_one_to_many_matcher_spec.rb",
  43 + "spec/migrations/001_create_items.rb",
  44 + "spec/migrations/002_create_comments.rb",
  45 + "spec/migrations/003_create_comments_items.rb",
  46 + "spec/spec_helper.rb",
  47 + "spec/validate_exact_length_matcher_spec.rb",
  48 + "spec/validate_format_matcher_spec.rb",
  49 + "spec/validate_includes_matcher_spec.rb",
  50 + "spec/validate_integer_matcher_spec.rb",
  51 + "spec/validate_length_range_matcher_spec.rb",
  52 + "spec/validate_max_length_matcher_spec.rb",
  53 + "spec/validate_min_length_matcher_spec.rb",
  54 + "spec/validate_not_string_matcher_spec.rb",
  55 + "spec/validate_numeric_matcher_spec.rb",
  56 + "spec/validate_presence_matcher_spec.rb",
  57 + "spec/validate_unique_matcher_spec.rb"
61 58 ]
62   - s.has_rdoc = true
63   - s.homepage = %q{http://github.com/JonathanTron/rspec_sequel_matchers}
  59 + s.homepage = %q{http://github.com/openhood/rspec_sequel_matchers}
64 60 s.rdoc_options = ["--charset=UTF-8"]
65 61 s.require_paths = ["lib"]
66   - s.rubygems_version = %q{1.3.1}
  62 + s.rubygems_version = %q{1.3.4}
67 63 s.summary = %q{TODO}
68 64 s.test_files = [
69 65 "spec/have_column_matcher_spec.rb",
70   - "spec/have_many_to_many_matcher_spec.rb",
71   - "spec/have_many_to_one_matcher_spec.rb",
72   - "spec/have_one_to_many_matcher_spec.rb",
73   - "spec/migrations/001_create_items.rb",
74   - "spec/migrations/002_create_comments.rb",
75   - "spec/migrations/003_create_comments_items.rb",
76   - "spec/spec_helper.rb",
77   - "spec/validate_exact_length_matcher_spec.rb",
78   - "spec/validate_format_matcher_spec.rb",
79   - "spec/validate_includes_matcher_spec.rb",
80   - "spec/validate_integer_matcher_spec.rb",
81   - "spec/validate_length_range_matcher_spec.rb",
82   - "spec/validate_max_length_matcher_spec.rb",
83   - "spec/validate_min_length_matcher_spec.rb",
84   - "spec/validate_not_string_matcher_spec.rb",
85   - "spec/validate_numeric_matcher_spec.rb",
86   - "spec/validate_presence_matcher_spec.rb",
87   - "spec/validate_unique_matcher_spec.rb"
  66 + "spec/have_many_to_many_matcher_spec.rb",
  67 + "spec/have_many_to_one_matcher_spec.rb",
  68 + "spec/have_one_to_many_matcher_spec.rb",
  69 + "spec/migrations/001_create_items.rb",
  70 + "spec/migrations/002_create_comments.rb",
  71 + "spec/migrations/003_create_comments_items.rb",
  72 + "spec/spec_helper.rb",
  73 + "spec/validate_exact_length_matcher_spec.rb",
  74 + "spec/validate_format_matcher_spec.rb",
  75 + "spec/validate_includes_matcher_spec.rb",
  76 + "spec/validate_integer_matcher_spec.rb",
  77 + "spec/validate_length_range_matcher_spec.rb",
  78 + "spec/validate_max_length_matcher_spec.rb",
  79 + "spec/validate_min_length_matcher_spec.rb",
  80 + "spec/validate_not_string_matcher_spec.rb",
  81 + "spec/validate_numeric_matcher_spec.rb",
  82 + "spec/validate_presence_matcher_spec.rb",
  83 + "spec/validate_unique_matcher_spec.rb"
88 84 ]
89 85
90 86 if s.respond_to? :specification_version then
91 87 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
92   - s.specification_version = 2
  88 + s.specification_version = 3
93 89
94 90 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
95   - s.add_runtime_dependency(%q<rspec>, [">= 0"])
96   - s.add_runtime_dependency(%q<sequel>, [">= 0"])
  91 + s.add_runtime_dependency(%q<rspec>, ["~> 1.2.3"])
  92 + s.add_runtime_dependency(%q<sequel>, [">= 3.1.0"])
97 93 else
98   - s.add_dependency(%q<rspec>, [">= 0"])
99   - s.add_dependency(%q<sequel>, [">= 0"])
  94 + s.add_dependency(%q<rspec>, ["~> 1.2.3"])
  95 + s.add_dependency(%q<sequel>, [">= 3.1.0"])
100 96 end
101 97 else
102   - s.add_dependency(%q<rspec>, [">= 0"])
103   - s.add_dependency(%q<sequel>, [">= 0"])
  98 + s.add_dependency(%q<rspec>, ["~> 1.2.3"])
  99 + s.add_dependency(%q<sequel>, [">= 3.1.0"])
104 100 end
105 101 end

0 comments on commit e935d6f

Please sign in to comment.
Something went wrong with that request. Please try again.